/* FontList 1.1 (c) 28.10.1996 Lubo Nmec, E2 verze, FREEWARE
   Vytvo vzornk font ze vech formt font podporovanch PGS3
   a momentln nainstalovanch/aktivnch v preferencch PGS3 "System Preferences/Fonts"
   Tento skript je dln pro strnku A4 portrait, pednastaven viz ne.
   Nastaven rozmr textovch sloupc lze zmnit v oddlu "page margins".
   
   Doporuen hodnoty: velikosti ez:                 4-36 bod (nastaveno 8 bod)
                       ka font:                   40-150%    (nastaveno 100%)
                       dkovn [relativn]:        100-200%    (nastaveno 120%)
                       odstup mezi jednotlivmi fonty: 0-50 bod (nastaveny 3 body)
                       okraje strnky:                 1 cm od kadho kraje (nastaven 1 cm)
                       poet sloupc:                  1-2       (nastaven 1 sloupec)
                       mezera mezi sloupci:            5-50      (nepouito)
                       maximln poet stran: limitovno jen volnou pamt (nastaveno 500)
*/



address 'PAGESTREAM'
options results
trace on

/* page margins in milimeters & maximum pages number */

left=10
right=10
top=10
bottom=10
column=1
gutter=5
maxpages=500

/* main script */

setautocolumns off
display page 1
'getstring string "8" title "Size" posbutton "_OK" negbutton "_Cancel"'
size=RESULT; button=RC
if RC=10 then exit
if size>36 then exit
if size<4 then exit
'getstring string "100" title "Width" posbutton "_OK" negbutton "_Cancel"'
width=RESULT; button=RC
if RC=10 then exit
if width<40 then exit
if width>150 then exit
'getstring string "120" title "Leading" posbutton "_OK" negbutton "_Cancel"'
leading=RESULT; button=RC
if RC=10 then exit
if leading<100 then exit
if leading>200 then exit
'getstring string "3" title "EmptyLine" posbutton "_OK" negbutton "_Cancel"'
space=RESULT; button=RC
if RC=10 then exit
if space<0 then exit
if space>50 then exit


getfontlist jmeno
pocet=result

settypesize size; settypewidth width
createcolumns margins left''mm right''mm top''mm bottom''mm columns column gutter gutter''mm linked page 1 to 1
settoolmode text; selecttext at left+5''mm top+5''mm frontmost

openbusyrequester message "'Making FontList...'" thermometer enabled abort enabled total pocet current 0
bh=RESULT
do x=0 to pocet-1
settypesize size; settypewidth width; setleading relative leading
'setfont "'jmeno.x'"'
'insert "'jmeno.x'"'
'insert "  'size' bod    0123456789"'
insertcontrol newparagraph
'insert "!#$%&()*+,-./:;<=>?@ABCDEFGHIKLMNOPQRSTUVWXYZ[\]^_abcdefghijklmnopqrstuvwxyz{|}~"'
insertcontrol newparagraph
settypesize space; setleading fixed space; 'insert " "'; insertcontrol newparagraph

getbusyrequester bh
if result=1 then do
   closebusyrequester bh
   do y=1 to maxpages
     getarticleoverset
      if result=TRUE then do
           display page next; settoolmode column
           createcolumns margins left''mm right''mm top''mm bottom''mm columns column gutter gutter linked page y+1 to y+1
           settoolmode routetext; settextrouting from left+5''mm top+5''mm page y to left+5''mm top+5''mm page y+1
           settoolmode text; selecttext at left+5''mm right+5''mm frontmost
      end
       else do
            display page 1; settoolmode object; exit
            end
   end y
 end 
   else setbusyrequester bh current x+1
end x
closebusyrequester bh

do y=1 to maxpages
getarticleoverset
if result=TRUE then do
   display page next; settoolmode column
   createcolumns margins left''mm right''mm top''mm bottom''mm columns column gutter gutter linked page y+1 to y+1
   settoolmode routetext; settextrouting from left+5''mm top+5''mm page y to left+5''mm top+5''mm page y+1
   settoolmode text; selecttext at left+5''mm top+5''mm frontmost
   end
else do
     display page 1; settoolmode object; exit
     end
end
display page 1
settoolmode object
